Get invoice
curl --request GET \
--url https://api.example.com/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment: <x-environment>'import requests
url = "https://api.example.com/invoices/{invoiceId}"
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"name": "<string>",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
}
},
"memo": "<string>",
"handle": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"dueDate": "2023-12-25",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unitAmount": 123,
"sku": "<string>",
"title": "<string>",
"description": "<string>",
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"amount": 123,
"taxAmount": 123,
"tax": {
"taxable": true,
"taxCode": "<string>",
"taxRate": 123
},
"discount": {
"percentage": 123,
"amount": 123
}
}
],
"settlements": [
{
"date": "2023-12-25",
"amount": 123,
"reference": "<string>",
"note": "<string>"
}
],
"totalExclVat": 123,
"totalVat": 123,
"totalInclVat": 123,
"totalDue": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Invoices
Get invoice
Retrieve an invoice by id.
GET
/
invoices
/
{invoiceId}
Get invoice
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of invoice.
Response
OK
Show child attributes
Show child attributes
Unique invoice number.
Available options:
draft, booked Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
invoice, credit_note Available options:
settled, over_settled, under_settled, not_settled Was this page helpful?
⌘I

